<?php
namespace Ak\Db;

use Laminas\Db\Adapter\AdapterInterface;

return [
    'dependencies' => [
        'aliases' => [
            'db' => AdapterInterface::class,
        ],

        'factories' => [
            AdapterInterface::class => Adapter\AdapterAbstractFactory::class,

            'db.driver.mysql' => Adapter\Driver\DriverAbstractFactory::class,
            'db.driver.sqlite' => Adapter\Driver\DriverAbstractFactory::class,

            'db.platform.mysql' => Adapter\Platform\PlatformAbstractFactory::class,
            'db.platform.sqlite' => Adapter\Platform\PlatformAbstractFactory::class,
        ],

        'abstract_factories' => [
            Adapter\AdapterAbstractFactory::class,
            TableGateway\TableGatewayAbstractFactory::class,
        ],
    ],
];
